r4805 - in developers/werner/fake-calup: . bin

werner at docs.openmoko.org werner at docs.openmoko.org
Thu Nov 20 01:44:42 CET 2008


Author: werner
Date: 2008-11-20 01:44:42 +0100 (Thu, 20 Nov 2008)
New Revision: 4805

Removed:
   developers/werner/fake-calup/bin/cal-sum-file
   developers/werner/fake-calup/bin/cal-sum-installed
Modified:
   developers/werner/fake-calup/Makefile
   developers/werner/fake-calup/README
   developers/werner/fake-calup/bin/calup.sh
   developers/werner/fake-calup/calup.init
Log:
- calup.init: brought remounting of root over from myroot/werner/myroot
- bin/calup.sh, bin/cal-sum-file, bin/cal-sum-installed: since we agreed to 
  just use the IDs, removed cal-sum-*
- Makefile: added SD image creation
- README: described use of bootable images



Modified: developers/werner/fake-calup/Makefile
===================================================================
--- developers/werner/fake-calup/Makefile	2008-11-20 00:16:49 UTC (rev 4804)
+++ developers/werner/fake-calup/Makefile	2008-11-20 00:44:42 UTC (rev 4805)
@@ -1,5 +1,10 @@
-.PHONY:	test rootfs
+# This is where my kernel lives. Edit or use
+# make KERNEL=/your/kernel/uImage sd
 
+KERNEL=/home/moko/git/ktrack/arch/arm/boot/uImage
+
+.PHONY:	test rootfs sd
+
 test:
 	rm -rf bck
 	mkdir -p bck
@@ -9,3 +14,8 @@
 rootfs:
 	../myroot/myroot calup.myroot
 	../myroot/mkjffs2
+
+sd:
+	../myroot/myroot calup.myroot
+	../myroot/mkext2
+	../myroot/mksd -u $(KERNEL)

Modified: developers/werner/fake-calup/README
===================================================================
--- developers/werner/fake-calup/README	2008-11-20 00:16:49 UTC (rev 4804)
+++ developers/werner/fake-calup/README	2008-11-20 00:44:42 UTC (rev 4805)
@@ -57,3 +57,23 @@
 
 If a backup needs to be restore, we'll have to devise a suitable
 manual procedure.
+
+
+Bootable images
+---------------
+
+# make rootfs
+
+Makes a GTA02 JFFS2 image with the updater environment in root.jffs2
+
+# make KERNEL=/path/to/your/uImage sd
+
+Makes a bootable SD card image for u-boot on GTA02 in the file
+sd_image. When booting the image, following things happen:
+
+- reset the GTA02
+- press AUX to bring up the boot menu
+- select "Boot from microSD (FAT+ext2)"
+- after about 20 seconds, the screen shows "STARTING ..."
+- another 40 seconds later, the X checkerboard background appears
+- 5 seconds later, the menu pops up

Deleted: developers/werner/fake-calup/bin/cal-sum-file
===================================================================
--- developers/werner/fake-calup/bin/cal-sum-file	2008-11-20 00:16:49 UTC (rev 4804)
+++ developers/werner/fake-calup/bin/cal-sum-file	2008-11-20 00:44:42 UTC (rev 4805)
@@ -1,10 +0,0 @@
-#!/bin/sh
-
-#
-# cal-sum-file <file>
-#
-# Prints a unique checksum of the firmware file <file>. This number must be
-# identical to the one cal-sum-installed produces for the same firmware.
-#
-
-cal-id-file "$1" | md5sum

Deleted: developers/werner/fake-calup/bin/cal-sum-installed
===================================================================
--- developers/werner/fake-calup/bin/cal-sum-installed	2008-11-20 00:16:49 UTC (rev 4804)
+++ developers/werner/fake-calup/bin/cal-sum-installed	2008-11-20 00:44:42 UTC (rev 4805)
@@ -1,10 +0,0 @@
-#!/bin/sh
-
-#
-# cal-sum-installed
-#
-# Prints a unique checksum of the installed firmware. This number must be
-# identical to the one cal-sum-file produces for the same firmware.
-#
-
-cal-id-file "`cat current`" | md5sum

Modified: developers/werner/fake-calup/bin/calup.sh
===================================================================
--- developers/werner/fake-calup/bin/calup.sh	2008-11-20 00:16:49 UTC (rev 4804)
+++ developers/werner/fake-calup/bin/calup.sh	2008-11-20 00:44:42 UTC (rev 4805)
@@ -29,32 +29,26 @@
 
 identify()
 {
-    local n sum
+    local n id
 
     add=
-    if ! curr=`cal-sum-installed`; then
-	echo "cannot get checksum of installed firmware" 1>&2
+    if ! curr=`cal-id-installed`; then
+	echo "cannot identify installed firmware" 1>&2
 	exit 1
     fi
 
     for n in $FW_DIR/*.m0; do
-	if ! sum=`cal-sum-file "$n"`; then
-	    echo "cannot get checksum of $n" 1>&2
+	if ! id=`cal-id-file "$n"`; then
+	    echo "cannot identify $n" 1>&2
 	    exit 1
 	fi
-	if [ "$sum" = "$curr" ]; then
-	    if ! curr=`cal-id-file "$n"`; then
-		echo "cannot identify $n" 1>&2
-		exit 1
-	    fi
+	if [ "$id" = "$curr" ]; then
 	    return
 	fi
     done
 
-    if ! curr=`cal-id-installed`; then
-	echo "cannot identify installed firmware" 1>&2
-	exit 1
-    fi
+    # if none of the firmware images have the same ID, we have to add a fake
+    # entry to the list.
 
     add="$curr"
 }

Modified: developers/werner/fake-calup/calup.init
===================================================================
--- developers/werner/fake-calup/calup.init	2008-11-20 00:16:49 UTC (rev 4804)
+++ developers/werner/fake-calup/calup.init	2008-11-20 00:44:42 UTC (rev 4805)
@@ -3,6 +3,9 @@
 PATH=/sbin:/bin/:/usr/bin:/usr/local/bin:/home/root/bin
 HOME=/home/root
 
+# if booting from microSD, rootfs may be read-only
+mount -n -o remount,rw /
+
 ldconfig
 
 # mounts




More information about the commitlog mailing list